Disable HHVM fcgi server on CI slaves
Closed, ResolvedPublic

Description

The Trusty slaves have hhvm running in the background but we have no use for it:

19287 ?        Ssl    0:02 /usr/bin/hhvm --config /etc/hhvm/fcgi.ini --mode server
19297 ?        Ss     0:00  \_ /usr/bin/hhvm --config /etc/hhvm/fcgi.ini --mode server
19298 ?        Ss     0:00  \_ /usr/bin/hhvm --config /etc/hhvm/fcgi.ini --mode server
19299 ?        Ss     0:00  \_ /usr/bin/hhvm --config /etc/hhvm/fcgi.ini --mode server
19300 ?        Ss     0:00  \_ /usr/bin/hhvm --config /etc/hhvm/fcgi.ini --mode server
19301 ?        Ss     0:00  \_ /usr/bin/hhvm --config /etc/hhvm/fcgi.ini --mode server

The qunit jobs are hitting Apache and Zend PHP.

Rest of hhvm jobs are just invoking hhvm from the command line.

hashar created this task.Feb 11 2016, 11:00 AM
hashar updated the task description. (Show Details)
hashar raised the priority of this task from to High.
hashar added subscribers: gerritbot, Krinkle, greg and 4 others.

Change 269946 had a related patch set uploaded (by Hashar):
hhvm: can now change enable/ensure service

https://gerrit.wikimedia.org/r/269946

Change 269947 had a related patch set uploaded (by Hashar):
contint: disable HHVM background service

https://gerrit.wikimedia.org/r/269947

hashar claimed this task.

I have cherry picked both patches on the integration puppetmaster. That got rid of the hhvm service.

Now pending ops review / merging of the couple scary patches.

hashar changed the task status from Open to Stalled.

stalled / pending symlink fix :D

I have removed the cherry pick from the CI puppetmaster. So hhvm service is back around

Krinkle removed a subscriber: Krinkle.Feb 23 2016, 4:47 PM
hashar lowered the priority of this task from High to Low.Apr 19 2016, 9:37 AM
hashar changed the task status from Stalled to Open.Apr 20 2016, 1:57 PM

HHVM configuration files pointed to /usr/lib/x86_64-linux-gnu/hhvm/extensions/current which was created by the HHVM Upstart service. Hence we required the HHVM service to start. With T126658 that got solved by referencing the HHVM API version instead and the upstart service is no more needed.

Thus I have rebased the couple patches I had in puppet that would let us disable the HHVM service:

https://gerrit.wikimedia.org/r/#/c/269946/
https://gerrit.wikimedia.org/r/#/c/269947/

Both cherry picked on CI puppet master.

Mentioned in SAL [2016-04-20T13:58:43Z] <hashar> Stopping HHVM on CI slaves by cherry picking a couple puppet patches | T126594

hashar removed hashar as the assignee of this task.Apr 25 2016, 8:33 PM

Change 269946 merged by Alexandros Kosiaris:
hhvm: allow passing service parameters

https://gerrit.wikimedia.org/r/269946

Change 269947 merged by Alexandros Kosiaris:
contint: disable HHVM background service

https://gerrit.wikimedia.org/r/269947

hashar closed this task as Resolved.May 9 2016, 10:03 AM
hashar claimed this task.
hashar added a subscriber: akosiaris.

Thank you @akosiaris . I have confirmed HHVM is gone from permanent CI slaves and from the Nodepool instances (both Trusty and Jessie).